<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output encoding="UTF-8" method="xml"/>
	<xsl:param name="p.currentfile.dir"/>
	<xsl:param name="p.conf.dir"/>
	
  <!--**
		* Résolution des tags d'injection
		**-->
		
	<xsl:template match="@*">
		<xsl:copy>
			<xsl:apply-templates select="node()"/>
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
			<!--Résolution des injections de code dans les différentes parties de l'init -->
			<xsl:copy-of select="//buildInject[@tag=name(current())]/*"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="buildInject"/>

</xsl:stylesheet>
